package org.jeecg.modules.zrzyqc.qcsb.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.zrzyqc.qcsb.entity.SsDkjz;
import org.jeecg.modules.zrzyqc.qcsb.mapper.SsDkjzMapper;
import org.jeecg.modules.zrzyqc.qcsb.service.SsDkzjService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description: 省属国企占有使用土地情况调查
 * @Author: jeecg-boot
 * @Date: 2022-06-29
 * @Version: V1.0
 */
@Service
public class SsDkjzServiceImpl extends ServiceImpl<SsDkjzMapper, SsDkjz> implements SsDkzjService {
    @Autowired
    private SsDkjzMapper ssDkjzMapper;

    @Override
    public List<SsDkjz> queryList(String dkbh) {
        List<SsDkjz> ssDkjzs = ssDkjzMapper.queryList(dkbh);
        for (SsDkjz ssDkjz : ssDkjzs) {
            if (ssDkjz.getZjg()<=0){
                ssDkjz.setJgqj("0");
                ssDkjz.setJzfw("0");
            }
        }
        return ssDkjzs;
    }
}

